- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_uri_t

# mongoc_uri_get_hosts()

## Synopsis

    const mongoc_host_list_t *
    mongoc_uri_get_hosts (const mongoc_uri_t *uri);

## Parameters

- `uri`: A mongoc_uri_t.

## Description

Fetches a linked list of hosts that were defined in the URI (the comma-separated host section).

## Returns

A linked list of mongoc_host_list_t structures that should not be modified or freed. Returns NULL if this URI’s scheme is “mongodb+srv://”.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.